Subject: [spring] 回复: Re: draft-ietf-spring-srv6-network-programming :Section 4.16.2
From: li zhenqiang <[email-masked]>
To: "Wang, Weibin (NSB - CN/Shanghai)" <[email-masked]>, Ron Bonica <rbonica=[email-masked]>, "[email-masked]" <[email-masked]>
Cc: draft-ietf-spring-srv6-network-programming <[email-masked]>
Date: Tue, 15 Oct 2019 07:05:39 +0000
List-Id: "Source Packet Routing in NetworkinG \(SPRING\)" <spring.ietf.org>

Where are the authors? Why should we guess here? I think the authors should involve in the discussion more actively, not just posting a new version. We are all working hard together to polish and impove the draft.

Best Regards,
Zhenqiang Li
________________________________
[email-masked]

发件人： Wang, Weibin (NSB - CN/Shanghai)<mailto:[email-masked]>
发送时间： 2019-10-15 08:12
收件人： Ron Bonica<mailto:rbonica=[email-masked]>; SPRING WG List<mailto:[email-masked]>
主题： Re: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2
Hi Ron;

It is my understanding, as long as the IPv6 address is a SRv6 SID, then we must newly define its processing rules; but I don’t know if it is intent of Authors.

--------------------------------------
Cheers !

WANG Weibin

From: Wang, Weibin (NSB - CN/Shanghai)
Sent: 2019年10月15日 7:55
To: 'Ron Bonica' <rbonica=[email-masked]>; SPRING WG List <[email-masked]>
Subject: RE: draft-ietf-spring-srv6-network-programming :Section 4.16.2

I think the USD action May be necessary, because it is relative to SRv6 SID as last SID in SRH, not to related to plain ipv6 address (RFC4291);

As plain IPv6 address in DA field of IPv6 packet, it is default behavior for Node identified by DA to further Decapsulate packet in this case.

--------------------------------------
Cheers !

WANG Weibin

From: spring <[email-masked]<mailto:[email-masked]>> On Behalf Of Ron Bonica
Sent: 2019年10月15日 7:03
To: SPRING WG List <[email-masked]<mailto:[email-masked]>>
Subject: Re: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2

Authors,

Sorry, I meant to say USD, not USP.

                         Ron

Juniper Business Use Only
From: Ron Bonica
Sent: Monday, October 14, 2019 2:36 PM
To: SPRING WG List <[email-masked]<mailto:[email-masked]>>
Subject: draft-ietf-spring-srv6-network-programming :Section 4.16.2

Authors,

The USP flavor of the END, END.X and END.T functions isn’t needed.

USP is the default IPv6 behavior. So, if the source node specifies SID[0] as an RFC 4291 address on the SR egress node, you get the USP behavior for free.

                                                           Ron

Juniper Business Use Only